#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Env
%define		pnam	C
Summary:	Env::C - Get/Set/Unset Environment Variables on the C level
#Summary(pl.UTF-8):	
Name:		perl-Env-C
Version:	0.15
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Env/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ff4d5484574bb82f606626e6104278f4
URL:		http://search.cpan.org/dist/Env-C/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl API for getenv(3), setenv(3) and
unsetenv(3). It also can return all the environ variables.

Sometimes Perl invokes modules with underlaying C APIs which rely on
certain environment variables to be set, if these variables are set in
Perl and the glue code doesn't worry to set them on the C level, these
variables might not be seen by the C level. This module shows what
really the C level sees.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Env
%{perl_vendorarch}/Env/*.pm
%dir %{perl_vendorarch}/auto/Env
%dir %{perl_vendorarch}/auto/Env/C
%attr(755,root,root) %{perl_vendorarch}/auto/Env/C/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Env-C.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> bec6b75
- perl 5.40.0 rebuild

* Fri Jul 07 2023 Jan Palus <atler@pld-linux.org> 4a8a539
- up to 0.15

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> dba167b
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> dcad579
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3d86c5c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b2b410a
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3b6c2a1
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 211a6a8
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> aae2048
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7c4949f
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ef32716
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0acbb2f
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9d86f3d
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a5c9a49
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f350976
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 70e8588
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 15f84d5
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sat Mar 12 2011 Jan Rękorajski <baggins@pld-linux.org> 0faf1d2
- rel 2
- added missing dirs

* Sat Mar 12 2011 Jan Rękorajski <baggins@pld-linux.org> 08a5ce9
- initial revision via pldcpan

